SystemOrganization addCategory: #'Seaside-Tests-Welcome'!

TestCase subclass: #WAWelcomeTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-Welcome'!

!WAWelcomeTest methodsFor: 'private' stamp: 'lr 7/25/2011 19:04'!
cleanEnvironment
	WAAdmin unregister: 'WAWelcomeTestTemp'.
	Smalltalk globals at: #WAWelcomeTestTemp ifPresent: [ :testClass | testClass removeFromSystem ]! !

!WAWelcomeTest methodsFor: 'running' stamp: 'NickAger 7/25/2010 13:58'!
setUp
	self cleanEnvironment! !

!WAWelcomeTest methodsFor: 'running' stamp: 'NickAger 7/25/2010 14:08'!
tearDown
	self cleanEnvironment ! !

!WAWelcomeTest methodsFor: 'tests' stamp: 'NickAger 7/25/2010 14:13'!
testComponentCreation
	| creator |
	creator := WAWelcomeComponentCreator new.
	creator createComponent: #WAWelcomeTestTemp.
	self assert: (Smalltalk globals includesKey: #WAWelcomeTestTemp)
	! !

!WAWelcomeTest methodsFor: 'tests' stamp: 'NickAger 11/6/2010 18:52'!
testImplementedIsAuthorNameSet
	self shouldnt: [ GRPlatform current seasideIsAuthorNameSet ] raise: Error 
	
	! !

!GRPackage class methodsFor: '*seaside-tests-welcome' stamp: 'lr 9/12/2010 11:46'!
seasideTestsWelcome
	^ self new
		name: 'Seaside-Tests-Welcome';
		description: 'Unit tests for the welcome screen.';
		addDependency: 'Seaside-Welcome';
		url: #seasideUrl;
		yourself! !
